<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		felipe.cadena
@description  	Página para la realización del informe de control de calidad relacionado a un avalúo
@ManagedBean 	RealizaInformeControlCalidadMB
@CU				CU-SA-AC-018 - Realizar Informe de Control de Calidad al Avalúo
@version  		1.0

-->

<h:form id="informeControlCalidadForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText value="Información del avalúo" 
                          styleClass="legendTitle" />
        </legend>

        <p:messages id="msgsAdministrarAdicionesContrato" showDetail="false"
                    globalOnly="false" />
        <h:panelGrid id="infoPnl" columns="6" cellspacing="5" cellpadding="5">


            <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
            <p:commandLink id="solicitudLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           immediate="true"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{realizaInformeControlCalidad.avaluo.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{realizaInformeControlCalidad.avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"           
                          value="#{realizaInformeControlCalidad.avaluo.solicitante.nombreCompleto}">
            </h:outputText>

            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{realizaInformeControlCalidad.avaluo.tienePrediosEnDiferentesDeptos}"
                           id="infoDeptosLink"
                           styleClass="commandLinkStyle"
                           value="#{realizaInformeControlCalidad.avaluo.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{realizaInformeControlCalidad.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!realizaInformeControlCalidad.avaluo.tienePrediosEnDiferentesDeptos}"
                          styleClass="outputTextStyle"
                          value="#{realizaInformeControlCalidad.avaluo.avaluoPredios[0].departamento.nombre}"/>

            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{realizaInformeControlCalidad.avaluo.tienePrediosEnDiferentesMunicipios}"
                           id="infoMunicipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{realizaInformeControlCalidad.avaluo.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{realizaInformeControlCalidad.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!realizaInformeControlCalidad.avaluo.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{realizaInformeControlCalidad.avaluo.avaluoPredios[0].municipio.nombre}"/>

            <h:outputLabel value="Profesional control de calidad: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"            
                          value="#{realizaInformeControlCalidad.revisionActual.controlCalidadAvaluo.profesionalAvaluos.nombreCompleto}">
            </h:outputText>
            <h:outputLabel value="Tipo avalúo: " styleClass="outputLabelStyle" />

            <h:outputText id="AvaluoTipoAvaluoV"  styleClass="outputTextStyle"          
                          value="#{realizaInformeControlCalidad.avaluo.tipoAvaluo}">
                <f:converter converterId="converterCB"
                             for="AvaluoTipoAvaluoV"/>
            </h:outputText>

            <h:outputLabel value="Nombre avaluador " styleClass="outputLabelStyle" />


            <p:commandLink rendered="#{realizaInformeControlCalidad.avaluo.tieneMultiplesAvaluadores}"
                           id="infoAvaluadoresLink"
                           styleClass="commandLinkStyle"
                           value="#{realizaInformeControlCalidad.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                           update=":consultarAvaluadoresAsignadosPG"
                           onstart="statusDialog2.show();"
                           oncomplete="infoAvaluadoresAsignadosWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener value="#{realizaInformeControlCalidad.avaluo.secRadicado}"
                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>
            <h:outputText rendered="#{!realizaInformeControlCalidad.avaluo.tieneMultiplesAvaluadores}"
                          styleClass="outputTextStyle"
                          value="#{realizaInformeControlCalidad.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"/>
            <h:outputLabel value="Fecha de revision " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{realizaInformeControlCalidad.revisionActual.fecha}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>  



            <h:outputLabel value="Territorial: " styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{realizaInformeControlCalidad.revisionActual.controlCalidadAvaluo.territorialCodigo}" 
                styleClass="outputTextStyle"
                id="TerritorialesConDireccionGeneralCV-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneralCV-1"/>
            </h:outputText>

            <p:commandLink id="infoPredialLink"
                           styleClass="commandLinkStyle"
                           value="Información predial"
                           action="#{consultaInformacionPredial.cargarInformacionPredial}"
                           update=":pdsDialog"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide(); infoPredialWV.show();">
                <f:setPropertyActionListener value="#{realizaInformeControlCalidad.avaluo}"
                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText value="" />


            <h:outputLabel
                value="Aprobo control de calidad? " styleClass="outputLabelStyle" />


            <h:selectOneRadio   id="apRevisionSlt"
                                required="true" requiredMessage="Se debe seleccionar un valor de aprobación"
                                disabled="#{realizaInformeControlCalidad.banderaConsultarRevision
                                            or realizaInformeControlCalidad.banderaModoLectura}"
                                value="#{realizaInformeControlCalidad.revisionActual.aprobo}">  
                <f:selectItems value="#{realizaInformeControlCalidad.dominioAprobar}" />  

                <p:ajax listener="#{realizaInformeControlCalidad.listenerAprobacion}" 
                        update="plazoTxt" event="change" process="@this"/>
            </h:selectOneRadio>  

            <h:panelGrid columns="2">
                <h:outputLabel value="Tiempo plazo(Dias): " styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:inputText id="plazoTxt"
                             required="true" requiredMessage="Se debe establecer un plazo en dias"
                             disabled="#{realizaInformeControlCalidad.banderaConsultarRevision
                                         or realizaInformeControlCalidad.banderaModoLectura 
                                         or realizaInformeControlCalidad.banderaDiasPlazo}"
                             value="#{realizaInformeControlCalidad.revisionActual.plazo}">

                </h:inputText> 

                <p:message  for="plazoTxt" display="icon"/>  
            </h:panelGrid>

            <h:outputLabel

                value="Revisión No: " styleClass="outputLabelStyle" />

            <h:outputText value="#{realizaInformeControlCalidad.revisionActual.numero}">

            </h:outputText>  

            <h:outputLabel  rendered="#{!realizaInformeControlCalidad.banderaCCTerritorial}"
                            value="Comité avaluos? " styleClass="outputLabelStyle" />

            <h:panelGrid columns="2" id="actaPnl"
                         rendered="#{!realizaInformeControlCalidad.banderaCCTerritorial}">

                <h:selectBooleanCheckbox disabled="#{realizaInformeControlCalidad.banderaConsultarRevision
                                                     or realizaInformeControlCalidad.banderaModoLectura}"
                                         value="#{realizaInformeControlCalidad.comiteAvaluos}">
                    <p:ajax update="actaPnl" event="change" process="@this"/>
                </h:selectBooleanCheckbox>

                <p:commandButton value="Acta da comite" 
                                 rendered="#{realizaInformeControlCalidad.comiteAvaluos and 
                                             !realizaInformeControlCalidad.banderaConsultarRevision}"
                                 onclick="confirmaComiteWV.show()"/>


                <p:commandLink value="Acta comité avalúos"
                               rendered="#{realizaInformeControlCalidad.comiteAvaluos and 
                                           realizaInformeControlCalidad.banderaConsultarRevision}"
                               action="#{realizaInformeControlCalidad.verActaComite}"
                               update=":viewMemo:vistaMemoForm" onstart="statusDialog2.show()"
                               oncomplete="statusDialog2.hide();memorandoWV.show()"
                               styleClass="commandLinkStyle">
                </p:commandLink>

            </h:panelGrid>

            <p:commandLink value="Documento generado con el informe"
                           rendered="#{realizaInformeControlCalidad.banderaConsultarRevision}"
                           action="#{realizaInformeControlCalidad.verDocumentoRevision}"
                           update=":viewMemo:vistaMemoForm" onstart="statusDialog2.show()"
                           oncomplete="statusDialog2.hide();memorandoWV.show()"
                           styleClass="commandLinkStyle">
            </p:commandLink>

        </h:panelGrid>



    </p:fieldset>


    <p:fieldset >

        <legend>
            <h:outputText value="Criterios a evaluar" 
                          styleClass="legendTitle" />
        </legend>

        <p:dataTable scrollWidth="800"
                     value="#{realizaInformeControlCalidad.listaEspecificaciones}"
                     var="esp" id="espTable"
                     rowKey="#{esp.id}"
                     widgetVar="espTableWV">

            <p:column headerText="Especificaciones a evaluar" >

                <h:outputText id="ControlCalidadEspecificacion" styleClass="outputTextStyle" value="#{esp.especificacion}">
                    <f:converter converterId="converterCB"
                                 for="ControlCalidadEspecificacion"/>

                </h:outputText>


            </p:column>
            <p:column headerText="Cumple">

                <h:selectBooleanCheckbox value="#{esp.cumpleBoolean}"
                                         disabled="#{realizaInformeControlCalidad.banderaConsultarRevision
                                                     or realizaInformeControlCalidad.banderaModoLectura}">

                    <p:ajax event="change" update="descripcionTA" process="@this"/>
                </h:selectBooleanCheckbox>

            </p:column>
            <p:column headerText="Descripción">

                <h:inputTextarea disabled="#{realizaInformeControlCalidad.banderaConsultarRevision or 
                                             esp.cumpleBoolean or realizaInformeControlCalidad.banderaModoLectura}"

                                 styleClass="outputTextStyle" cols="80" value="#{esp.descripcion}"
                                 id="descripcionTA"/>

            </p:column>

        </p:dataTable>
    </p:fieldset>
    <!--Solo se muestra cuando se realizen observaciones sobre el control de calidad-->
    <p:fieldset rendered="false">

        <legend>
            <h:outputText value="Control calidad territorial"
                          rendered="#{realizaInformeControlCalidad.banderaCCTerritorial}"
                          styleClass="legendTitle" />
            <h:outputText value="Control calidad sede central" 
                          rendered="#{realizaInformeControlCalidad.banderaCCCentral}"
                          styleClass="legendTitle" />
            <h:outputText value="Control calidad GIT de avalúos" 
                          rendered="#{realizaInformeControlCalidad.banderaCCGIT}"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="5" cellpadding="5">

            <h:outputLabel value="Profesional control de calidad: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"            
                          value="#{realizaInformeControlCalidad.usuario.nombreCompleto}">
            </h:outputText>

            <h:outputLabel value="Aprobo control de calidad? " styleClass="outputLabelStyle" />

            <p:selectOneRadio required="true"
                              requiredMessage="debe seleccionar un valor de aprobación"
                              value="#{realizaInformeControlCalidad.revisionObservasiones.aprobo}">  
                <f:selectItems value="#{realizaInformeControlCalidad.dominioAprobar}" />  
            </p:selectOneRadio>  

            <h:outputLabel value="Tiempo plazo(Dias): " styleClass="outputLabelStyle" />

            <h:inputText value="#{realizaInformeControlCalidad.revisionObservasiones.plazo}">

            </h:inputText>  
            <h:outputLabel value="Revisión No: " styleClass="outputLabelStyle" />

            <h:outputText value="#{realizaInformeControlCalidad.revisionObservasiones.numero}">

            </h:outputText>  

            <h:outputLabel value="Fecha de revision: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{realizaInformeControlCalidad.revisionObservasiones.fecha}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>  
        </h:panelGrid>

        <h:panelGrid>
            <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" /><br/>
            <h:inputTextarea cols="150" 
                             value="#{realizaInformeControlCalidad.revisionObservasiones.observaciones}"/>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="10"/>

    <h:panelGrid columns="4">
        <p:commandButton value="Aceptar" 
                         rendered="#{!realizaInformeControlCalidad.banderaConsultarRevision and
                                     !realizaInformeControlCalidad.banderaModoLectura}"
                         action="#{realizaInformeControlCalidad.guardarControlCalidad}"
                         onstart="statusDialog2.show()"
                         oncomplete="statusDialog2.hide()"
                         icon="ui-icon-check"
                         update=":informeControlCalidadForm"/>

        <p:commandButton value="Modificar" 
                         icon="ui-icon-pencil"
                         oncomplete="statusDialog2.hide()"
                         onstart="statusDialog2.show()"
                         rendered="#{realizaInformeControlCalidad.banderaModoLectura}"
                         action="#{realizaInformeControlCalidad.modificarControlCalidad}"
                         update=":informeControlCalidadForm"/>

        <p:commandButton value="Generar reporte" immediate="true"
                         icon="ui-icon-document"
                         onstart="statusDialog2.show()"
                         rendered="#{realizaInformeControlCalidad.banderaModoLectura}"
                         action="#{realizaInformeControlCalidad.generarReporte}"
                         oncomplete="#{realizaInformeControlCalidad.nombreDialogoOficio}.show();statusDialog2.hide()"
                         update=":informeControlCalidadForm,:#{realizaInformeControlCalidad.nombreFormDialogoOficio}"/>

        <p:commandButton value="Informe de avalúo"  
                         onstart="statusDialog2.show()"
                         icon="ui-icon-note"
                         oncomplete="statusDialog2.hide(); 
                         alert('CU-SA-AC-XXX Consultar Informe de Avalúo Comercial');"
                         action="#{realizaInformeControlCalidad.consultarInforme}"/>

        <p:commandButton value="Características del avalúo"  
                         onstart="statusDialog2.show()"
                         icon="ui-icon-clipboard"
                         oncomplete="statusDialog2.hide(); 
                         alert('CU-SA-AC-019 Características Avalúo');"
                         action="#{realizaInformeControlCalidad.consultarInforme}"/>
    </h:panelGrid>

    <p:spacer height="10"/>



</h:form>
